TARGET = meteo-tracker
CC = gcc
CFLAGS = -O2 -Wall

default: meteo-tracker

sighandlers: sighandlers.c
	$(CC) -c $(CFLAGS) sighandlers.o

server: server.o sighandlers.o
	$(CC) $(CFLAGS) -o server server.o sighandlers.o

client: client.o sighandlers.o
	$(CC) $(CFLAGS) -l ncurses -l menu -l pthread -o client client.o

meteo-tracker: client.o sighandlers.o server.o
	$(CC) $(CFLAGS) -l ncurses -l menu -l pthread -o client client.o
	$(CC) $(CFLAGS) -o server server.o sighandlers.o

clean:
	rm *.o server client
